org.apache.solr.client.solrj.impl

## Class HttpSolrClient.HttpUriRequestResponse

- java.lang.Object
- - org.apache.solr.client.solrj.impl.HttpSolrClient.HttpUriRequestResponse

Enclosing class:
  HttpSolrClient

    public static class HttpSolrClient.HttpUriRequestResponse
    extends Object

WARNING: This API is experimental and might change in incompatible ways in the next release.

### Field Summary

Fields
`Future<NamedList<Object>>` `future`
`org.apache.http.client.methods.HttpUriRequest` `httpUriRequest`

### Constructor Summary

Constructors
Constructor and Description
`HttpUriRequestResponse()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### httpUriRequest

    public org.apache.http.client.methods.HttpUriRequest httpUriRequest

#### future

    public Future<NamedList<Object>> future

### Constructor Detail

#### HttpUriRequestResponse

    public HttpUriRequestResponse()